package com.sdk.esc;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.Window;

import print.Print;


public class Activity_Cut extends Activity {

    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.requestWindowFeature(Window.FEATURE_INDETERMINATE_PROGRESS);
        setContentView(R.layout.activity_cut);

    }

    public void onClickPartialCut(View view) {
        if (!checkClick.isClickEvent()) return;

        try {
            Print.PrintAndFeed(500);
            Print.CutPaper(Print.PARTIAL_CUT);
        } catch (Exception e) {

        }
    }

    public void onClickPartialCutWithFeed(View view) {
        if (!checkClick.isClickEvent()) return;
        try {
            Print.CutPaper(Print.PARTIAL_CUT_FEED, 240);
        } catch (Exception e) {

        }
    }
}
